Load a local gem while an older lib version still exists


#1

Hi

I have installed the mechanize 0.9.0.gem on ubuntu.

The older mechanize-hpricot installed from the ubuntu repository is
still the default.

How can i load/make the new version the default?

Note that i want to keep the old one because i have already written a
few things that need it.

thanks for your comments


#2

2009/1/28 Edouard D. removed_email_address@domain.invalid:

Hi

I have installed the mechanize 0.9.0.gem on ubuntu.

The older mechanize-hpricot installed from the ubuntu repository is
still the default.

How can i load/make the new version the default?

Assuming the gem name is “mechanize”, put this
before calling require:

gem "mechanize", ">= 0.9.0"

Note that i want to keep the old one because i have already written a
few things that need it.

thanks for your comments

Stefan